/* GrandPerspective, Version 3.3 
 *   A utility for Mac OS X that graphically shows disk usage. 
 * Copyright (C) 2005-2022, Erwin Bonsma 
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option) 
 * any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
 * more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, Inc., 
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
 */

#import "AccessMappingScheme.h"

#import "FileItem.h"
#import "TimeBasedMapping.h"

@interface MappingByAccess : TimeBasedMapping {
}
@end // @interface MappingByAccess


@implementation AccessMappingScheme

//----------------------------------------------------------------------------
// Implementation of FileItemMappingScheme protocol

- (NSObject <FileItemMapping> *)fileItemMappingForTree:(DirectoryItem *)tree {
  return [[[MappingByAccess alloc] initWithFileItemMappingScheme: self tree: tree] autorelease];
}

@end // @implementation AccessMappingScheme


@implementation MappingByAccess

- (CFAbsoluteTime) timeForFileItem:(FileItem *)fileItem {
  return fileItem.accessTime;
}

@end // @implementation MappingByAccess
