/* GrandPerspective, Version 3.3 
 *   A utility for Mac OS X that graphically shows disk usage. 
 * Copyright (C) 2005-2022, Erwin Bonsma 
 * 
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option) 
 * any later version. 
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
 * more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, Inc., 
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
 */

#import <Foundation/Foundation.h>

#import "TreeWriter.h"
#import "RawTreeWriterOptions.h"

NS_ASSUME_NONNULL_BEGIN

/* Writes a tree to file in raw format. Each file is on its own line, with tab-separated fields:
 * First, the full path of the file. Second, its size in bytes.
 */
@interface RawTreeWriter : TreeWriter {
  RawTreeWriterOptions  *options;

  NSAutoreleasePool  *autoreleasePool;
}

- (void) writeTree:(AnnotatedTreeContext *)tree options:(id)options;

@end

NS_ASSUME_NONNULL_END
